Bug#375657: cacao: libopcodes-2.16.91.so: cannot open shared object file

Lukasz Pankowski lukpank at o2.pl
Tue Jun 27 13:18:31 UTC 2006

Package: cacao
Version: 0.96-1
Severity: important


After upgrading from binutils 2.16.1cvs20060413-1 to 2.17-1 cacao no
longer starts:

$ cacao 
cacao: error while loading shared libraries: libopcodes-2.16.91.so: cannot open shared object file: No such file or directory

because the version of libopcodes have changed

/usr/lib/libopcodes-2.16.91.so (binutils 2.16.1cvs20060413)
/usr/lib/libopcodes-2.17.so    (binutils 2.17)

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.17-1-vserver-k7
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)

Versions of packages cacao depends on:
ii  binutils                      2.17-1     The GNU assembler, linker and bina
ii  classpath                     2:0.91-3   clean room standard Java libraries
ii  classpath-common              2:0.91-3   architecture independent files
ii  libc6                         2.3.6-15   GNU C Library: Shared libraries
ii  libltdl3                      1.5.22-4   A system independent dlopen wrappe
ii  zlib1g                        1:1.2.3-12 compression library - runtime

cacao recommends no packages.

-- no debconf information


=*= Lukasz Pankowski =*=

More information about the pkg-java-maintainers mailing list